package com.gyee.frame.model.auto;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *  WeatherfdExample
 * @author Wang Jiawen_自动生成
 * @email 1@qq.com
 * @date 2020-01-07 16:13:24
 */
public class WeatherfdExample {

    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public WeatherfdExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }
				
        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }
        
			
        public Criteria andRecodedataIsNull() {
            addCriterion("recodedata is null");
            return (Criteria) this;
        }

        public Criteria andRecodedataIsNotNull() {
            addCriterion("recodedata is not null");
            return (Criteria) this;
        }

        public Criteria andRecodedataEqualTo(Date value) {
            addCriterion("recodedata =", value, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataNotEqualTo(Date value) {
            addCriterion("recodedata <>", value, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataGreaterThan(Date value) {
            addCriterion("recodedata >", value, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataGreaterThanOrEqualTo(Date value) {
            addCriterion("recodedata >=", value, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataLessThan(Date value) {
            addCriterion("recodedata <", value, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataLessThanOrEqualTo(Date value) {
            addCriterion("recodedata <=", value, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataLike(Date value) {
            addCriterion("recodedata like", value, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataNotLike(Date value) {
            addCriterion("recodedata not like", value, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataIn(List<Date> values) {
            addCriterion("recodedata in", values, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataNotIn(List<Date> values) {
            addCriterion("recodedata not in", values, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataBetween(Date value1, Date value2) {
            addCriterion("recodedata between", value1, value2, "recodedata");
            return (Criteria) this;
        }

        public Criteria andRecodedataNotBetween(Date value1, Date value2) {
            addCriterion("recodedata not between", value1, value2, "recodedata");
            return (Criteria) this;
        }
        
			
        public Criteria andRegionIsNull() {
            addCriterion("region is null");
            return (Criteria) this;
        }

        public Criteria andRegionIsNotNull() {
            addCriterion("region is not null");
            return (Criteria) this;
        }

        public Criteria andRegionEqualTo(String value) {
            addCriterion("region =", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotEqualTo(String value) {
            addCriterion("region <>", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionGreaterThan(String value) {
            addCriterion("region >", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionGreaterThanOrEqualTo(String value) {
            addCriterion("region >=", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionLessThan(String value) {
            addCriterion("region <", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionLessThanOrEqualTo(String value) {
            addCriterion("region <=", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionLike(String value) {
            addCriterion("region like", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotLike(String value) {
            addCriterion("region not like", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionIn(List<String> values) {
            addCriterion("region in", values, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotIn(List<String> values) {
            addCriterion("region not in", values, "region");
            return (Criteria) this;
        }

        public Criteria andRegionBetween(String value1, String value2) {
            addCriterion("region between", value1, value2, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotBetween(String value1, String value2) {
            addCriterion("region not between", value1, value2, "region");
            return (Criteria) this;
        }
        
			
        public Criteria andWindpowerstationidIsNull() {
            addCriterion("windpowerstationid is null");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidIsNotNull() {
            addCriterion("windpowerstationid is not null");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidEqualTo(String value) {
            addCriterion("windpowerstationid =", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidNotEqualTo(String value) {
            addCriterion("windpowerstationid <>", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidGreaterThan(String value) {
            addCriterion("windpowerstationid >", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidGreaterThanOrEqualTo(String value) {
            addCriterion("windpowerstationid >=", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidLessThan(String value) {
            addCriterion("windpowerstationid <", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidLessThanOrEqualTo(String value) {
            addCriterion("windpowerstationid <=", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidLike(String value) {
            addCriterion("windpowerstationid like", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidNotLike(String value) {
            addCriterion("windpowerstationid not like", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidIn(List<String> values) {
            addCriterion("windpowerstationid in", values, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidNotIn(List<String> values) {
            addCriterion("windpowerstationid not in", values, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidBetween(String value1, String value2) {
            addCriterion("windpowerstationid between", value1, value2, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidNotBetween(String value1, String value2) {
            addCriterion("windpowerstationid not between", value1, value2, "windpowerstationid");
            return (Criteria) this;
        }
        
			
        public Criteria andWeatherIsNull() {
            addCriterion("weather is null");
            return (Criteria) this;
        }

        public Criteria andWeatherIsNotNull() {
            addCriterion("weather is not null");
            return (Criteria) this;
        }

        public Criteria andWeatherEqualTo(String value) {
            addCriterion("weather =", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotEqualTo(String value) {
            addCriterion("weather <>", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherGreaterThan(String value) {
            addCriterion("weather >", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherGreaterThanOrEqualTo(String value) {
            addCriterion("weather >=", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherLessThan(String value) {
            addCriterion("weather <", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherLessThanOrEqualTo(String value) {
            addCriterion("weather <=", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherLike(String value) {
            addCriterion("weather like", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotLike(String value) {
            addCriterion("weather not like", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherIn(List<String> values) {
            addCriterion("weather in", values, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotIn(List<String> values) {
            addCriterion("weather not in", values, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherBetween(String value1, String value2) {
            addCriterion("weather between", value1, value2, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotBetween(String value1, String value2) {
            addCriterion("weather not between", value1, value2, "weather");
            return (Criteria) this;
        }
        
			
        public Criteria andMaximumtemIsNull() {
            addCriterion("maximumtem is null");
            return (Criteria) this;
        }

        public Criteria andMaximumtemIsNotNull() {
            addCriterion("maximumtem is not null");
            return (Criteria) this;
        }

        public Criteria andMaximumtemEqualTo(Double value) {
            addCriterion("maximumtem =", value, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemNotEqualTo(Double value) {
            addCriterion("maximumtem <>", value, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemGreaterThan(Double value) {
            addCriterion("maximumtem >", value, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemGreaterThanOrEqualTo(Double value) {
            addCriterion("maximumtem >=", value, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemLessThan(Double value) {
            addCriterion("maximumtem <", value, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemLessThanOrEqualTo(Double value) {
            addCriterion("maximumtem <=", value, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemLike(Double value) {
            addCriterion("maximumtem like", value, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemNotLike(Double value) {
            addCriterion("maximumtem not like", value, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemIn(List<Double> values) {
            addCriterion("maximumtem in", values, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemNotIn(List<Double> values) {
            addCriterion("maximumtem not in", values, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemBetween(Double value1, Double value2) {
            addCriterion("maximumtem between", value1, value2, "maximumtem");
            return (Criteria) this;
        }

        public Criteria andMaximumtemNotBetween(Double value1, Double value2) {
            addCriterion("maximumtem not between", value1, value2, "maximumtem");
            return (Criteria) this;
        }
        
			
        public Criteria andMinimumtemIsNull() {
            addCriterion("minimumtem is null");
            return (Criteria) this;
        }

        public Criteria andMinimumtemIsNotNull() {
            addCriterion("minimumtem is not null");
            return (Criteria) this;
        }

        public Criteria andMinimumtemEqualTo(Double value) {
            addCriterion("minimumtem =", value, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemNotEqualTo(Double value) {
            addCriterion("minimumtem <>", value, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemGreaterThan(Double value) {
            addCriterion("minimumtem >", value, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemGreaterThanOrEqualTo(Double value) {
            addCriterion("minimumtem >=", value, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemLessThan(Double value) {
            addCriterion("minimumtem <", value, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemLessThanOrEqualTo(Double value) {
            addCriterion("minimumtem <=", value, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemLike(Double value) {
            addCriterion("minimumtem like", value, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemNotLike(Double value) {
            addCriterion("minimumtem not like", value, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemIn(List<Double> values) {
            addCriterion("minimumtem in", values, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemNotIn(List<Double> values) {
            addCriterion("minimumtem not in", values, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemBetween(Double value1, Double value2) {
            addCriterion("minimumtem between", value1, value2, "minimumtem");
            return (Criteria) this;
        }

        public Criteria andMinimumtemNotBetween(Double value1, Double value2) {
            addCriterion("minimumtem not between", value1, value2, "minimumtem");
            return (Criteria) this;
        }
        
			
        public Criteria andSunriseIsNull() {
            addCriterion("sunrise is null");
            return (Criteria) this;
        }

        public Criteria andSunriseIsNotNull() {
            addCriterion("sunrise is not null");
            return (Criteria) this;
        }

        public Criteria andSunriseEqualTo(String value) {
            addCriterion("sunrise =", value, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseNotEqualTo(String value) {
            addCriterion("sunrise <>", value, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseGreaterThan(String value) {
            addCriterion("sunrise >", value, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseGreaterThanOrEqualTo(String value) {
            addCriterion("sunrise >=", value, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseLessThan(String value) {
            addCriterion("sunrise <", value, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseLessThanOrEqualTo(String value) {
            addCriterion("sunrise <=", value, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseLike(String value) {
            addCriterion("sunrise like", value, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseNotLike(String value) {
            addCriterion("sunrise not like", value, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseIn(List<String> values) {
            addCriterion("sunrise in", values, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseNotIn(List<String> values) {
            addCriterion("sunrise not in", values, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseBetween(String value1, String value2) {
            addCriterion("sunrise between", value1, value2, "sunrise");
            return (Criteria) this;
        }

        public Criteria andSunriseNotBetween(String value1, String value2) {
            addCriterion("sunrise not between", value1, value2, "sunrise");
            return (Criteria) this;
        }
        
			
        public Criteria andSunsetIsNull() {
            addCriterion("sunset is null");
            return (Criteria) this;
        }

        public Criteria andSunsetIsNotNull() {
            addCriterion("sunset is not null");
            return (Criteria) this;
        }

        public Criteria andSunsetEqualTo(String value) {
            addCriterion("sunset =", value, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetNotEqualTo(String value) {
            addCriterion("sunset <>", value, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetGreaterThan(String value) {
            addCriterion("sunset >", value, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetGreaterThanOrEqualTo(String value) {
            addCriterion("sunset >=", value, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetLessThan(String value) {
            addCriterion("sunset <", value, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetLessThanOrEqualTo(String value) {
            addCriterion("sunset <=", value, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetLike(String value) {
            addCriterion("sunset like", value, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetNotLike(String value) {
            addCriterion("sunset not like", value, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetIn(List<String> values) {
            addCriterion("sunset in", values, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetNotIn(List<String> values) {
            addCriterion("sunset not in", values, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetBetween(String value1, String value2) {
            addCriterion("sunset between", value1, value2, "sunset");
            return (Criteria) this;
        }

        public Criteria andSunsetNotBetween(String value1, String value2) {
            addCriterion("sunset not between", value1, value2, "sunset");
            return (Criteria) this;
        }
        
			
        public Criteria andSundurationIsNull() {
            addCriterion("sunduration is null");
            return (Criteria) this;
        }

        public Criteria andSundurationIsNotNull() {
            addCriterion("sunduration is not null");
            return (Criteria) this;
        }

        public Criteria andSundurationEqualTo(Double value) {
            addCriterion("sunduration =", value, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationNotEqualTo(Double value) {
            addCriterion("sunduration <>", value, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationGreaterThan(Double value) {
            addCriterion("sunduration >", value, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationGreaterThanOrEqualTo(Double value) {
            addCriterion("sunduration >=", value, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationLessThan(Double value) {
            addCriterion("sunduration <", value, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationLessThanOrEqualTo(Double value) {
            addCriterion("sunduration <=", value, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationLike(Double value) {
            addCriterion("sunduration like", value, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationNotLike(Double value) {
            addCriterion("sunduration not like", value, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationIn(List<Double> values) {
            addCriterion("sunduration in", values, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationNotIn(List<Double> values) {
            addCriterion("sunduration not in", values, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationBetween(Double value1, Double value2) {
            addCriterion("sunduration between", value1, value2, "sunduration");
            return (Criteria) this;
        }

        public Criteria andSundurationNotBetween(Double value1, Double value2) {
            addCriterion("sunduration not between", value1, value2, "sunduration");
            return (Criteria) this;
        }
        
			
        public Criteria andWeather1IsNull() {
            addCriterion("weather1 is null");
            return (Criteria) this;
        }

        public Criteria andWeather1IsNotNull() {
            addCriterion("weather1 is not null");
            return (Criteria) this;
        }

        public Criteria andWeather1EqualTo(String value) {
            addCriterion("weather1 =", value, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1NotEqualTo(String value) {
            addCriterion("weather1 <>", value, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1GreaterThan(String value) {
            addCriterion("weather1 >", value, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1GreaterThanOrEqualTo(String value) {
            addCriterion("weather1 >=", value, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1LessThan(String value) {
            addCriterion("weather1 <", value, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1LessThanOrEqualTo(String value) {
            addCriterion("weather1 <=", value, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1Like(String value) {
            addCriterion("weather1 like", value, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1NotLike(String value) {
            addCriterion("weather1 not like", value, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1In(List<String> values) {
            addCriterion("weather1 in", values, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1NotIn(List<String> values) {
            addCriterion("weather1 not in", values, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1Between(String value1, String value2) {
            addCriterion("weather1 between", value1, value2, "weather1");
            return (Criteria) this;
        }

        public Criteria andWeather1NotBetween(String value1, String value2) {
            addCriterion("weather1 not between", value1, value2, "weather1");
            return (Criteria) this;
        }
        
			
        public Criteria andTemperature1IsNull() {
            addCriterion("temperature1 is null");
            return (Criteria) this;
        }

        public Criteria andTemperature1IsNotNull() {
            addCriterion("temperature1 is not null");
            return (Criteria) this;
        }

        public Criteria andTemperature1EqualTo(Double value) {
            addCriterion("temperature1 =", value, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1NotEqualTo(Double value) {
            addCriterion("temperature1 <>", value, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1GreaterThan(Double value) {
            addCriterion("temperature1 >", value, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1GreaterThanOrEqualTo(Double value) {
            addCriterion("temperature1 >=", value, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1LessThan(Double value) {
            addCriterion("temperature1 <", value, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1LessThanOrEqualTo(Double value) {
            addCriterion("temperature1 <=", value, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1Like(Double value) {
            addCriterion("temperature1 like", value, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1NotLike(Double value) {
            addCriterion("temperature1 not like", value, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1In(List<Double> values) {
            addCriterion("temperature1 in", values, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1NotIn(List<Double> values) {
            addCriterion("temperature1 not in", values, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1Between(Double value1, Double value2) {
            addCriterion("temperature1 between", value1, value2, "temperature1");
            return (Criteria) this;
        }

        public Criteria andTemperature1NotBetween(Double value1, Double value2) {
            addCriterion("temperature1 not between", value1, value2, "temperature1");
            return (Criteria) this;
        }
        
			
        public Criteria andRealfeel1IsNull() {
            addCriterion("realfeel1 is null");
            return (Criteria) this;
        }

        public Criteria andRealfeel1IsNotNull() {
            addCriterion("realfeel1 is not null");
            return (Criteria) this;
        }

        public Criteria andRealfeel1EqualTo(Double value) {
            addCriterion("realfeel1 =", value, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1NotEqualTo(Double value) {
            addCriterion("realfeel1 <>", value, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1GreaterThan(Double value) {
            addCriterion("realfeel1 >", value, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1GreaterThanOrEqualTo(Double value) {
            addCriterion("realfeel1 >=", value, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1LessThan(Double value) {
            addCriterion("realfeel1 <", value, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1LessThanOrEqualTo(Double value) {
            addCriterion("realfeel1 <=", value, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1Like(Double value) {
            addCriterion("realfeel1 like", value, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1NotLike(Double value) {
            addCriterion("realfeel1 not like", value, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1In(List<Double> values) {
            addCriterion("realfeel1 in", values, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1NotIn(List<Double> values) {
            addCriterion("realfeel1 not in", values, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1Between(Double value1, Double value2) {
            addCriterion("realfeel1 between", value1, value2, "realfeel1");
            return (Criteria) this;
        }

        public Criteria andRealfeel1NotBetween(Double value1, Double value2) {
            addCriterion("realfeel1 not between", value1, value2, "realfeel1");
            return (Criteria) this;
        }
        
			
        public Criteria andPrecipitation1IsNull() {
            addCriterion("precipitation1 is null");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1IsNotNull() {
            addCriterion("precipitation1 is not null");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1EqualTo(Double value) {
            addCriterion("precipitation1 =", value, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1NotEqualTo(Double value) {
            addCriterion("precipitation1 <>", value, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1GreaterThan(Double value) {
            addCriterion("precipitation1 >", value, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1GreaterThanOrEqualTo(Double value) {
            addCriterion("precipitation1 >=", value, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1LessThan(Double value) {
            addCriterion("precipitation1 <", value, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1LessThanOrEqualTo(Double value) {
            addCriterion("precipitation1 <=", value, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1Like(Double value) {
            addCriterion("precipitation1 like", value, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1NotLike(Double value) {
            addCriterion("precipitation1 not like", value, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1In(List<Double> values) {
            addCriterion("precipitation1 in", values, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1NotIn(List<Double> values) {
            addCriterion("precipitation1 not in", values, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1Between(Double value1, Double value2) {
            addCriterion("precipitation1 between", value1, value2, "precipitation1");
            return (Criteria) this;
        }

        public Criteria andPrecipitation1NotBetween(Double value1, Double value2) {
            addCriterion("precipitation1 not between", value1, value2, "precipitation1");
            return (Criteria) this;
        }
        
			
        public Criteria andWinddirection1IsNull() {
            addCriterion("winddirection1 is null");
            return (Criteria) this;
        }

        public Criteria andWinddirection1IsNotNull() {
            addCriterion("winddirection1 is not null");
            return (Criteria) this;
        }

        public Criteria andWinddirection1EqualTo(String value) {
            addCriterion("winddirection1 =", value, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1NotEqualTo(String value) {
            addCriterion("winddirection1 <>", value, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1GreaterThan(String value) {
            addCriterion("winddirection1 >", value, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1GreaterThanOrEqualTo(String value) {
            addCriterion("winddirection1 >=", value, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1LessThan(String value) {
            addCriterion("winddirection1 <", value, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1LessThanOrEqualTo(String value) {
            addCriterion("winddirection1 <=", value, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1Like(String value) {
            addCriterion("winddirection1 like", value, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1NotLike(String value) {
            addCriterion("winddirection1 not like", value, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1In(List<String> values) {
            addCriterion("winddirection1 in", values, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1NotIn(List<String> values) {
            addCriterion("winddirection1 not in", values, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1Between(String value1, String value2) {
            addCriterion("winddirection1 between", value1, value2, "winddirection1");
            return (Criteria) this;
        }

        public Criteria andWinddirection1NotBetween(String value1, String value2) {
            addCriterion("winddirection1 not between", value1, value2, "winddirection1");
            return (Criteria) this;
        }
        
			
        public Criteria andSpeed1IsNull() {
            addCriterion("speed1 is null");
            return (Criteria) this;
        }

        public Criteria andSpeed1IsNotNull() {
            addCriterion("speed1 is not null");
            return (Criteria) this;
        }

        public Criteria andSpeed1EqualTo(Double value) {
            addCriterion("speed1 =", value, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1NotEqualTo(Double value) {
            addCriterion("speed1 <>", value, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1GreaterThan(Double value) {
            addCriterion("speed1 >", value, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1GreaterThanOrEqualTo(Double value) {
            addCriterion("speed1 >=", value, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1LessThan(Double value) {
            addCriterion("speed1 <", value, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1LessThanOrEqualTo(Double value) {
            addCriterion("speed1 <=", value, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1Like(Double value) {
            addCriterion("speed1 like", value, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1NotLike(Double value) {
            addCriterion("speed1 not like", value, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1In(List<Double> values) {
            addCriterion("speed1 in", values, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1NotIn(List<Double> values) {
            addCriterion("speed1 not in", values, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1Between(Double value1, Double value2) {
            addCriterion("speed1 between", value1, value2, "speed1");
            return (Criteria) this;
        }

        public Criteria andSpeed1NotBetween(Double value1, Double value2) {
            addCriterion("speed1 not between", value1, value2, "speed1");
            return (Criteria) this;
        }
        
			
        public Criteria andGust1IsNull() {
            addCriterion("gust1 is null");
            return (Criteria) this;
        }

        public Criteria andGust1IsNotNull() {
            addCriterion("gust1 is not null");
            return (Criteria) this;
        }

        public Criteria andGust1EqualTo(Double value) {
            addCriterion("gust1 =", value, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1NotEqualTo(Double value) {
            addCriterion("gust1 <>", value, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1GreaterThan(Double value) {
            addCriterion("gust1 >", value, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1GreaterThanOrEqualTo(Double value) {
            addCriterion("gust1 >=", value, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1LessThan(Double value) {
            addCriterion("gust1 <", value, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1LessThanOrEqualTo(Double value) {
            addCriterion("gust1 <=", value, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1Like(Double value) {
            addCriterion("gust1 like", value, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1NotLike(Double value) {
            addCriterion("gust1 not like", value, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1In(List<Double> values) {
            addCriterion("gust1 in", values, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1NotIn(List<Double> values) {
            addCriterion("gust1 not in", values, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1Between(Double value1, Double value2) {
            addCriterion("gust1 between", value1, value2, "gust1");
            return (Criteria) this;
        }

        public Criteria andGust1NotBetween(Double value1, Double value2) {
            addCriterion("gust1 not between", value1, value2, "gust1");
            return (Criteria) this;
        }
        
			
        public Criteria andWeather2IsNull() {
            addCriterion("weather2 is null");
            return (Criteria) this;
        }

        public Criteria andWeather2IsNotNull() {
            addCriterion("weather2 is not null");
            return (Criteria) this;
        }

        public Criteria andWeather2EqualTo(String value) {
            addCriterion("weather2 =", value, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2NotEqualTo(String value) {
            addCriterion("weather2 <>", value, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2GreaterThan(String value) {
            addCriterion("weather2 >", value, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2GreaterThanOrEqualTo(String value) {
            addCriterion("weather2 >=", value, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2LessThan(String value) {
            addCriterion("weather2 <", value, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2LessThanOrEqualTo(String value) {
            addCriterion("weather2 <=", value, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2Like(String value) {
            addCriterion("weather2 like", value, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2NotLike(String value) {
            addCriterion("weather2 not like", value, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2In(List<String> values) {
            addCriterion("weather2 in", values, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2NotIn(List<String> values) {
            addCriterion("weather2 not in", values, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2Between(String value1, String value2) {
            addCriterion("weather2 between", value1, value2, "weather2");
            return (Criteria) this;
        }

        public Criteria andWeather2NotBetween(String value1, String value2) {
            addCriterion("weather2 not between", value1, value2, "weather2");
            return (Criteria) this;
        }
        
			
        public Criteria andTemperature2IsNull() {
            addCriterion("temperature2 is null");
            return (Criteria) this;
        }

        public Criteria andTemperature2IsNotNull() {
            addCriterion("temperature2 is not null");
            return (Criteria) this;
        }

        public Criteria andTemperature2EqualTo(Double value) {
            addCriterion("temperature2 =", value, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2NotEqualTo(Double value) {
            addCriterion("temperature2 <>", value, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2GreaterThan(Double value) {
            addCriterion("temperature2 >", value, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2GreaterThanOrEqualTo(Double value) {
            addCriterion("temperature2 >=", value, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2LessThan(Double value) {
            addCriterion("temperature2 <", value, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2LessThanOrEqualTo(Double value) {
            addCriterion("temperature2 <=", value, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2Like(Double value) {
            addCriterion("temperature2 like", value, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2NotLike(Double value) {
            addCriterion("temperature2 not like", value, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2In(List<Double> values) {
            addCriterion("temperature2 in", values, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2NotIn(List<Double> values) {
            addCriterion("temperature2 not in", values, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2Between(Double value1, Double value2) {
            addCriterion("temperature2 between", value1, value2, "temperature2");
            return (Criteria) this;
        }

        public Criteria andTemperature2NotBetween(Double value1, Double value2) {
            addCriterion("temperature2 not between", value1, value2, "temperature2");
            return (Criteria) this;
        }
        
			
        public Criteria andRealfeel2IsNull() {
            addCriterion("realfeel2 is null");
            return (Criteria) this;
        }

        public Criteria andRealfeel2IsNotNull() {
            addCriterion("realfeel2 is not null");
            return (Criteria) this;
        }

        public Criteria andRealfeel2EqualTo(Double value) {
            addCriterion("realfeel2 =", value, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2NotEqualTo(Double value) {
            addCriterion("realfeel2 <>", value, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2GreaterThan(Double value) {
            addCriterion("realfeel2 >", value, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2GreaterThanOrEqualTo(Double value) {
            addCriterion("realfeel2 >=", value, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2LessThan(Double value) {
            addCriterion("realfeel2 <", value, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2LessThanOrEqualTo(Double value) {
            addCriterion("realfeel2 <=", value, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2Like(Double value) {
            addCriterion("realfeel2 like", value, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2NotLike(Double value) {
            addCriterion("realfeel2 not like", value, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2In(List<Double> values) {
            addCriterion("realfeel2 in", values, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2NotIn(List<Double> values) {
            addCriterion("realfeel2 not in", values, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2Between(Double value1, Double value2) {
            addCriterion("realfeel2 between", value1, value2, "realfeel2");
            return (Criteria) this;
        }

        public Criteria andRealfeel2NotBetween(Double value1, Double value2) {
            addCriterion("realfeel2 not between", value1, value2, "realfeel2");
            return (Criteria) this;
        }
        
			
        public Criteria andPrecipitation2IsNull() {
            addCriterion("precipitation2 is null");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2IsNotNull() {
            addCriterion("precipitation2 is not null");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2EqualTo(Double value) {
            addCriterion("precipitation2 =", value, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2NotEqualTo(Double value) {
            addCriterion("precipitation2 <>", value, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2GreaterThan(Double value) {
            addCriterion("precipitation2 >", value, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2GreaterThanOrEqualTo(Double value) {
            addCriterion("precipitation2 >=", value, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2LessThan(Double value) {
            addCriterion("precipitation2 <", value, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2LessThanOrEqualTo(Double value) {
            addCriterion("precipitation2 <=", value, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2Like(Double value) {
            addCriterion("precipitation2 like", value, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2NotLike(Double value) {
            addCriterion("precipitation2 not like", value, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2In(List<Double> values) {
            addCriterion("precipitation2 in", values, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2NotIn(List<Double> values) {
            addCriterion("precipitation2 not in", values, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2Between(Double value1, Double value2) {
            addCriterion("precipitation2 between", value1, value2, "precipitation2");
            return (Criteria) this;
        }

        public Criteria andPrecipitation2NotBetween(Double value1, Double value2) {
            addCriterion("precipitation2 not between", value1, value2, "precipitation2");
            return (Criteria) this;
        }
        
			
        public Criteria andWinddirection2IsNull() {
            addCriterion("winddirection2 is null");
            return (Criteria) this;
        }

        public Criteria andWinddirection2IsNotNull() {
            addCriterion("winddirection2 is not null");
            return (Criteria) this;
        }

        public Criteria andWinddirection2EqualTo(String value) {
            addCriterion("winddirection2 =", value, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2NotEqualTo(String value) {
            addCriterion("winddirection2 <>", value, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2GreaterThan(String value) {
            addCriterion("winddirection2 >", value, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2GreaterThanOrEqualTo(String value) {
            addCriterion("winddirection2 >=", value, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2LessThan(String value) {
            addCriterion("winddirection2 <", value, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2LessThanOrEqualTo(String value) {
            addCriterion("winddirection2 <=", value, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2Like(String value) {
            addCriterion("winddirection2 like", value, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2NotLike(String value) {
            addCriterion("winddirection2 not like", value, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2In(List<String> values) {
            addCriterion("winddirection2 in", values, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2NotIn(List<String> values) {
            addCriterion("winddirection2 not in", values, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2Between(String value1, String value2) {
            addCriterion("winddirection2 between", value1, value2, "winddirection2");
            return (Criteria) this;
        }

        public Criteria andWinddirection2NotBetween(String value1, String value2) {
            addCriterion("winddirection2 not between", value1, value2, "winddirection2");
            return (Criteria) this;
        }
        
			
        public Criteria andSpeed2IsNull() {
            addCriterion("speed2 is null");
            return (Criteria) this;
        }

        public Criteria andSpeed2IsNotNull() {
            addCriterion("speed2 is not null");
            return (Criteria) this;
        }

        public Criteria andSpeed2EqualTo(Double value) {
            addCriterion("speed2 =", value, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2NotEqualTo(Double value) {
            addCriterion("speed2 <>", value, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2GreaterThan(Double value) {
            addCriterion("speed2 >", value, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2GreaterThanOrEqualTo(Double value) {
            addCriterion("speed2 >=", value, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2LessThan(Double value) {
            addCriterion("speed2 <", value, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2LessThanOrEqualTo(Double value) {
            addCriterion("speed2 <=", value, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2Like(Double value) {
            addCriterion("speed2 like", value, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2NotLike(Double value) {
            addCriterion("speed2 not like", value, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2In(List<Double> values) {
            addCriterion("speed2 in", values, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2NotIn(List<Double> values) {
            addCriterion("speed2 not in", values, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2Between(Double value1, Double value2) {
            addCriterion("speed2 between", value1, value2, "speed2");
            return (Criteria) this;
        }

        public Criteria andSpeed2NotBetween(Double value1, Double value2) {
            addCriterion("speed2 not between", value1, value2, "speed2");
            return (Criteria) this;
        }
        
			
        public Criteria andGust2IsNull() {
            addCriterion("gust2 is null");
            return (Criteria) this;
        }

        public Criteria andGust2IsNotNull() {
            addCriterion("gust2 is not null");
            return (Criteria) this;
        }

        public Criteria andGust2EqualTo(Double value) {
            addCriterion("gust2 =", value, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2NotEqualTo(Double value) {
            addCriterion("gust2 <>", value, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2GreaterThan(Double value) {
            addCriterion("gust2 >", value, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2GreaterThanOrEqualTo(Double value) {
            addCriterion("gust2 >=", value, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2LessThan(Double value) {
            addCriterion("gust2 <", value, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2LessThanOrEqualTo(Double value) {
            addCriterion("gust2 <=", value, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2Like(Double value) {
            addCriterion("gust2 like", value, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2NotLike(Double value) {
            addCriterion("gust2 not like", value, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2In(List<Double> values) {
            addCriterion("gust2 in", values, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2NotIn(List<Double> values) {
            addCriterion("gust2 not in", values, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2Between(Double value1, Double value2) {
            addCriterion("gust2 between", value1, value2, "gust2");
            return (Criteria) this;
        }

        public Criteria andGust2NotBetween(Double value1, Double value2) {
            addCriterion("gust2 not between", value1, value2, "gust2");
            return (Criteria) this;
        }
        
	}

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}